## org.exist.util.test
Class XMLStringTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.util.test.XMLStringTest

All Implemented Interfaces:
  junit.framework.Test

public class XMLStringTest
extends junit.framework.TestCase

Constructor Summary
`XMLStringTest(java.lang.String arg0)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAppendcharArrayintint()`
`void` `testInsert()`
`void` `testNormalize()`
`void` `testSubstring()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLStringTest

    public XMLStringTest(java.lang.String arg0)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testAppendcharArrayintint

    public void testAppendcharArrayintint()

### testNormalize

    public void testNormalize()

### testSubstring

    public void testSubstring()

### testInsert

    public void testInsert()

Copyright (C) Wolfgang Meier. All rights reserved.